주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Images

Create an image variation

POST /openai/v1/images/variations 사용되지 않음

Creates an image variation from the supplied request.

요청 본문

The multipart request body.

Content-Type: multipart/form-data
image OpenAI.CreateImageVariationRequest 필수 사용되지 않음

The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.

model string | enum | null 사용되지 않음

The legacy model used by the retired image variations endpoint. This endpoint no longer accepts requests.

다음 중 하나:
string 사용되지 않음
enum 사용되지 않음
dall-e-2
n integer | null 사용되지 않음

The number of images to generate. Must be between 1 and 10.

response_format enum 사용되지 않음

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

urlb64_json
size enum 사용되지 않음

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

256x256512x5121024x1024
user string 사용되지 않음

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

응답

The request has succeeded.

본문

Content-Type: application/json
safety_identifier string | null 사용되지 않음

The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty safety_identifier from the request, or the deprecated user value when safety_identifier is omitted, null, or empty.

created integer 필수 사용되지 않음

The Unix timestamp (in seconds) of when the image was created.

data OpenAI.Image[] 사용되지 않음

The list of generated images.

background enum 사용되지 않음

The background parameter used for the image generation. Either transparent or opaque.

transparentopaque
output_format enum 사용되지 않음

The output format of the image generation. Either png, webp, or jpeg.

pngwebpjpeg
size string | enum 사용되지 않음

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

다음 중 하나:
string 사용되지 않음
enum 사용되지 않음
1024x10241024x15361536x1024
quality enum 사용되지 않음

The quality of the image generated. One of low, medium, high, xhigh, or max.

lowmediumhighxhighmax
usage OpenAI.ImageGenUsage 사용되지 않음

For gpt-image-1 only, the token usage information for the image generation.

input_tokens integer 필수 사용되지 않음
total_tokens integer 필수 사용되지 않음
output_tokens integer 필수 사용되지 않음
output_tokens_details OpenAI.ImageGenOutputTokensDetails 사용되지 않음

The output token details for the image generation.

image_tokens integer 필수 사용되지 않음
text_tokens integer 필수 사용되지 않음
input_tokens_details OpenAI.ImageGenInputUsageDetails 필수 사용되지 않음

The input tokens detailed information for the image generation.

text_tokens integer 필수 사용되지 않음
image_tokens integer 필수 사용되지 않음

Client error

본문

Content-Type: application/json
error OpenAI.Error 필수 사용되지 않음
code string | null 필수 사용되지 않음
message string 필수 사용되지 않음
param string | null 사용되지 않음
type string 사용되지 않음
misalignment OpenAI.MisalignmentErrorDetailsResource 사용되지 않음
review_target string | null 사용되지 않음
error_type string | enum 사용되지 않음
다음 중 하나:
string 사용되지 않음
enum 사용되지 않음
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string 사용되지 않음

The public explanation for this block.

steer OpenAI._MisalignmentSteer 사용되지 않음
message string 필수 사용되지 않음

The public continuation instruction.

details OpenAI.Error[] 사용되지 않음
additionalInfo object 사용되지 않음
debugInfo object 사용되지 않음

Server error

본문

Content-Type: application/json
error OpenAI.Error 필수 사용되지 않음
code string | null 필수 사용되지 않음
message string 필수 사용되지 않음
param string | null 사용되지 않음
type string 사용되지 않음
misalignment OpenAI.MisalignmentErrorDetailsResource 사용되지 않음
review_target string | null 사용되지 않음
error_type string | enum 사용되지 않음
다음 중 하나:
string 사용되지 않음
enum 사용되지 않음
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string 사용되지 않음

The public explanation for this block.

steer OpenAI._MisalignmentSteer 사용되지 않음
message string 필수 사용되지 않음

The public continuation instruction.

details OpenAI.Error[] 사용되지 않음
additionalInfo object 사용되지 않음
debugInfo object 사용되지 않음

요청

curl https://api.openai.com/v1/images/variations \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F image="@otter.png" \
  -F n=2 \
  -F size="1024x1024"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
images_response = client.images.create_variation(
    image=b"Example data",
)
print(images_response.created)
import fs from "fs";
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const image = await openai.images.createVariation({
    image: fs.createReadStream("otter.png"),
  });

  console.log(image.data);
}
main();
using System;

using OpenAI.Images;

ImageClient client = new(
    model: "dall-e-2",
    apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);

GeneratedImage image = client.GenerateImageVariation(imageFilePath: "otter.png");

Console.WriteLine(image.ImageUri);
import fs from 'fs';
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const imagesResponse = await client.images.createVariation({
  image: fs.createReadStream('otter.png'),
});

console.log(imagesResponse.created);
package main

import (
    "bytes"
    "context"
    "fmt"
    "io"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    imagesResponse, err := client.Images.NewVariation(context.TODO(), openai.ImageNewVariationParams{
        Image: io.Reader(bytes.NewBuffer([]byte("Example data"))),
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", imagesResponse.Created)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.images.ImageCreateVariationParams;
import com.openai.models.images.ImagesResponse;
import java.io.ByteArrayInputStream;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ImageCreateVariationParams params = ImageCreateVariationParams.builder()
            .image(new ByteArrayInputStream("Example data".getBytes()))
            .build();
        ImagesResponse imagesResponse = client.images().createVariation(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

images_response = openai.images.create_variation(image: StringIO.new("Example data"))

puts(images_response)

응답

{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026